This directory contains configuration for the OpenAppStack instance running on
this machine. For general information, see [https://openappstack.net].

## Helm values

We use [Helm](https://helm.sh) charts to install applications to the Kubernetes
cluster running on this machine. On top of that, we use
[helmfile](https://github.com/roboll/helmfile/) to record which Helm charts
should be installed on the system, and with which settings (called "values").

After changing any of these values, you will need to re-run Helmfile, which
will make all applications aware of these changes and restart them if necessary.
To do so, run
```
helmfile -e oas -f /var/lib/OpenAppStack/helmfiles/helmfile.d apply
```

### Cluster values

In `local.yaml`, there are some settings that were generated during the
OpenAppStack installation process, including essential ones such as this
machine's external ip address, and the domain name where the applications are
served.

### Application values

Inside the `apps` directory, you can provide values to configure the Helm charts
that make up this OpenAppStack instance. These values will override both the
defaults provided by the chart authors, and the settings the OpenAppStack
maintainers put in place.

A separate values file has been pre-created per application. Please note that
these files are referenced specifically by the corresponding OpenAppStack
helmfile configuration, so renaming them will break the system, and creating new
ones will not have any effect by itself.

To see what values can be specified for an application, please check the
documentation of the corresponding Helm chart.
